﻿import matplotlib.pyplot as plt
import numpy as np
from sklearn.cluster import KMeans

# データ読み込み、前処理
data = np.loadtxt('kmeans.csv', delimiter=',', skiprows=1)  # 学習データ読み込み
x = data[:,0:2]                                             # x1,x2データ

# K-Means実行
model = KMeans(n_clusters=2, random_state=100).fit(x)       # クラスター数を2,乱数シードを100に設定

# 散布図描画
plt.scatter(x[:,0], x[:,1], c=model.labels_)
plt.scatter(model.cluster_centers_[:,0], model.cluster_centers_[:,1],s=100, marker='*')
plt.show()
